MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023233Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-02 11:022020-07-14 14:42
ReporterJerome Monaco 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0023233: Bounding box incorrect for circle
DescriptionGenerate a simple face from a gp_Circ of radius 100 mm
Calculate the bouding box
The resulting bounding box is wrong XMin=-108.239, XMax=108.239 and same for Y
  
Steps To Reproduce
pload MODELING
circle c 0 0 0 100
mkedge e c
wire w e
plane p 0 0 0 0 0 1
mkface f p w
bounding f



/// Bounding box
//--------------
BRepBuilderAPI_MakeEdge ME( gp_Circ( gp::XOY(), 100.0 ) );
BRepBuilderAPI_MakeWire MW( ME.Edge() );
BRepBuilderAPI_MakeFace MF( MW.Wire(), Standard_False );
MF.Build();
TopoDS_Shape s = MF.Shape();

Bnd_Box bb;
BRepBndLib::Add( s, bb, Standard_False );

double xmin, ymin, xmax, ymax, zmin, zmax;
bb.Get( xmin, ymin, zmin, xmax, ymax, zmax );

printf( "Xmin=%f, Xmax=%f", xmin, xmax ); /// Wrong values should be 100
printf( "Ymin=%f, Ymax=%f", ymin, ymax );
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0092988)
kgv (developer)
2020-07-04 21:35
edited on: 2020-07-04 21:37

Dear bugmaster,

bug is not reproducible since OCCT 7.1.0 (#0027352) - please close as fixed.

OCCT 7.0.0:
Draw[7]> bounding f
-108.2392201292394 -108.2392201292394 -9.9999999999999995e-008 108.2392201292394 108.2392201292394 9.9999999999999995e-008



Current master:
Draw[7]> bounding f
-100.00000009999999 -100.00000009999999 -9.9999999999999995e-08 100.00000009999999 100.00000009999999 
9.9999999999999995e-08



- Issue History
Date Modified Username Field Change
2012-07-02 11:02 Jerome Monaco New Issue
2012-07-02 11:02 Jerome Monaco Assigned To => jgv
2020-07-04 21:30 kgv Steps to Reproduce Updated View Revisions
2020-07-04 21:30 kgv Fixed in Version => 7.1.0
2020-07-04 21:30 kgv Target Version => 7.1.0
2020-07-04 21:34 kgv Relationship added related to 0027352
2020-07-04 21:35 kgv Note Added: 0092988
2020-07-04 21:35 kgv Assigned To jgv => bugmaster
2020-07-04 21:35 kgv Status new => feedback
2020-07-04 21:37 kgv Note Edited: 0092988 View Revisions
2020-07-14 14:42 bugmaster Status feedback => closed
2020-07-14 14:42 bugmaster Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker